/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package kikipratiwi_mufidanuha.todolistapp;

import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;

public class TaskListTest {
    private Task task;
    private TaskList taskList;

    @Before
    public void init() {
        String taskText = "Clean the bathroom";
        char status = 'I';
        task = new Task(taskText, status);
        taskList = new TaskList();
    }

    @Test
    public void testAddTaskReturnNotNull() {
        assertNotNull("Add Task return not-null", taskList.addTask(task));
    }

    @Test
    public void testAddTaskReturnId() {
        int expected = 1;
        int actual = taskList.addTask(task);
        assertEquals(expected, actual);
    }

    @Test
    public void testAddTaskParameterNotNull() {}

    @Test
    public void testAppIsEmpty() {
        TaskList list = new TaskList();
        assertTrue(list.isEmpty());
    }

    @Test
    public void testAppListEqualString() {
        String myTodo = "Going home";
        TaskList list = new TaskList(myTodo, false);
        assertEquals("Going home", list.getList());
    }

    @Test
    public void testAppListNotEqualString() {
        String myTodo = "Study";
        TaskList list = new TaskList(myTodo, false);
        assertNotEquals("Going home", list.getList());
    }

    @Test
    public void testAppStatusFalse() {
        TaskList list = new TaskList("Going home", false);
        assertFalse(list.getStatus());
    }

    @Test
    public void testAppStatusTrue() {
        TaskList list = new TaskList("Going home", true);
        assertTrue(list.getStatus());
    }

    @Test
    public void testAppStatusIncomplete() {
        TaskList list = new TaskList("Going home", false);
        assertEquals('I', list.getStatusChar());
    }

    @Test
    public void testAppStatusComplete() {
        TaskList list = new TaskList("Going home", true);
        assertEquals('C', list.getStatusChar());
    }
}
